Xerces 1.1.3

## org.apache.xerces.dom
Interface DeferredNode

All Known Implementing Classes:
  DeferredAttrImpl, DeferredAttrNSImpl, DeferredCDATASectionImpl, DeferredDocumentImpl, DeferredDocumentTypeImpl, DeferredElementDefinitionImpl, DeferredElementImpl, DeferredElementNSImpl, DeferredEntityImpl, DeferredEntityReferenceImpl, DeferredNotationImpl, DeferredProcessingInstructionImpl, DeferredCommentImpl, DeferredTextImpl

public interface DeferredNode
extends Node

An interface for deferred node object.

Version:

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` `getNodeIndex()` Returns the node index.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Method Detail

### getNodeIndex

    public int getNodeIndex()

  Returns the node index.

Xerces 1.1.3